import { createReducer, on } from '@ngrx/store';
import { initialState } from './state';
import { existInstantUpdate } from './actions';

export const reducer = createReducer(
  initialState,
  on(existInstantUpdate, (state, action) => {
    return {
      ...state,
      updateInfo: action.updateInfo
    };
  })
);
